- Main Page
- Modules
- Classes
- Files

# tif_xfile.cpp File Reference

`#include <windows.h>`
`#include <stdio.h>`
`#include "ximage.h"`
`#include "../tiff/tiffiop.h"`
`#include "../tiff/tiffvers.h"`
`#include "xfile.h"`
`#include <sys/stat.h>`
`#include <malloc.h>`

## Defines
#define | DbgPrint wvsprintf
#define | DbgPrint2 wsprintf
#define | DbgMsgBox MessageBox
## Functions
static tsize_t | _tiffReadProcEx (thandle_t fd, tdata_t buf, tsize_t size)
static tsize_t | _tiffWriteProcEx (thandle_t fd, tdata_t buf, tsize_t size)
static toff_t | _tiffSeekProcEx (thandle_t fd, toff_t off, int whence)
static int | _tiffCloseProcEx (thandle_t)
static toff_t | _tiffSizeProcEx (thandle_t fd)
static int | _tiffMapProcEx (thandle_t, tdata_t *, toff_t *)
static void | _tiffUnmapProcEx (thandle_t, tdata_t, toff_t)
TIFF * | _TIFFFdOpen (void *fd, const char *name, const char *mode)
TIFF * | _TIFFOpenEx (CxFile *stream, const char *mode)
tdata_t | _TIFFmalloc (tsize_t s)
void | _TIFFfree (tdata_t p)
tdata_t | _TIFFrealloc (tdata_t p, tsize_t s)
void | _TIFFmemset (tdata_t p, int v, tsize_t c)
void | _TIFFmemcpy (tdata_t d, const tdata_t s, tsize_t c)
int | _TIFFmemcmp (const tdata_t p1, const tdata_t p2, tsize_t c)
static void | Win32WarningHandler (const char *module, const char *fmt, va_list ap)
static void | Win32ErrorHandler (const char *module, const char *fmt, va_list ap)
## Variables
TIFFErrorHandler | _TIFFwarningHandler = Win32WarningHandler
TIFFErrorHandler | _TIFFerrorHandler = Win32ErrorHandler

## Define Documentation

#define DbgMsgBox MessageBox

#define DbgPrint wvsprintf

#define DbgPrint2 wsprintf

## Function Documentation

static int _tiffCloseProcEx | ( | thandle_t |  | ) | `[static]`

TIFF* _TIFFFdOpen | ( | void * | fd,
|  | const char * | name,
|  | const char * | mode |
| ) |  |  |

void _TIFFfree | ( | tdata_t | p | ) |

tdata_t _TIFFmalloc | ( | tsize_t | s | ) |

static int _tiffMapProcEx | ( | thandle_t | ,
|  | tdata_t * | ,
|  | toff_t * |  |
| ) |  |  | `[static]`

int _TIFFmemcmp | ( | const tdata_t | p1,
|  | const tdata_t | p2,
|  | tsize_t | c |
| ) |  |  |

void _TIFFmemcpy | ( | tdata_t | d,
|  | const tdata_t | s,
|  | tsize_t | c |
| ) |  |  |

void _TIFFmemset | ( | tdata_t | p,
|  | int | v,
|  | tsize_t | c |
| ) |  |  |

TIFF* _TIFFOpenEx | ( | CxFile * | stream,
|  | const char * | mode |
| ) |  |  |

static tsize_t _tiffReadProcEx | ( | thandle_t | fd,
|  | tdata_t | buf,
|  | tsize_t | size |
| ) |  |  | `[static]`

tdata_t _TIFFrealloc | ( | tdata_t | p,
|  | tsize_t | s |
| ) |  |  |

static toff_t _tiffSeekProcEx | ( | thandle_t | fd,
|  | toff_t | off,
|  | int | whence |
| ) |  |  | `[static]`

static toff_t _tiffSizeProcEx | ( | thandle_t | fd | ) | `[static]`

static void _tiffUnmapProcEx | ( | thandle_t | ,
|  | tdata_t | ,
|  | toff_t |  |
| ) |  |  | `[static]`

static tsize_t _tiffWriteProcEx | ( | thandle_t | fd,
|  | tdata_t | buf,
|  | tsize_t | size |
| ) |  |  | `[static]`

static void Win32ErrorHandler | ( | const char * | module,
|  | const char * | fmt,
|  | va_list | ap |
| ) |  |  | `[static]`

static void Win32WarningHandler | ( | const char * | module,
|  | const char * | fmt,
|  | va_list | ap |
| ) |  |  | `[static]`

## Variable Documentation

TIFFErrorHandler _TIFFerrorHandler = Win32ErrorHandler

TIFFErrorHandler _TIFFwarningHandler = Win32WarningHandler